For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update receivement details

Update the details of a receivement.

Required permissions: RECEIVEMENT

put
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
externalIdstringOptional

External reference to receivement

packingListstringOptional
statusstring · enumOptional
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
expectedArrivalstring · date-timeOptional
expectedDispatchstring · date-timeOptional
supplierOrderReferencestringOptional
invoiceApprovedbooleanOptional

Mark the receivement as invoice-approved (fakturagodkjent). Allowed even when the receivement is RECEIVED; no other field may change in that state. false clears the approval.

warehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringOptionalDeprecatedPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
warehouseUidstringOptionalDeprecatedPattern: ^[A-Za-z0-9-_]+
expectedArrivalstring · date-timeRequired

ETA

expectedDispatchstring · date-timeRequired

ETD

supplierOrderReferencestringRequired
receivedAtstring · date-time · nullableRequired
put/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "externalId": "text",
  "packingList": "text",
  "status": "RECEIVED",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text",
  "invoiceApproved": true,
  "warehouseUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text"
      },
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "unitCost": 1,
      "receivementItemUid": "text",
      "serialnumber": "text",
      "status": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "packingList": "text",
  "receivementUid": "text",
  "status": "RECEIVED",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "receivedBy": {
    "tenantUserUid": "text",
    "tenantUserDisplayName": "text"
  },
  "purchaseOrder": {
    "purchaseOrderUid": "text",
    "purchaseNumber": "text",
    "externalId": "text"
  },
  "supplier": {
    "supplierUid": "text",
    "name": "text"
  },
  "store": {
    "storeUid": "text",
    "name": "text"
  },
  "organization": {
    "organizationUid": "text",
    "name": "text"
  },
  "warehouse": {
    "warehouseUid": "text",
    "name": "text"
  },
  "invoiceApproval": {
    "approvedAt": "2026-01-01T00:00:00.000Z",
    "tenantUserUid": "text",
    "tenantUserDisplayName": "text"
  }
}

Last updated

Was this helpful?